Skip to contents

# Estimate Burr Parameters

Source: `R/est-param-burr.R`
`util_burr_param_estimate.Rd`

This function will attempt to estimate the Burr prob parameter given some vector of values `.x`. The function will return a list output by default, and if the parameter `.auto_gen_empirical` is set to `TRUE` then the empirical data given to the parameter `.x` will be run through the `tidy_empirical()` function and combined with the estimated Burr data.

## Usage

    util_burr_param_estimate(.x, .auto_gen_empirical = TRUE)

## Arguments

.x

  The vector of data to be passed to the function. Must be non-negative integers.

.auto_gen_empirical

  This is a boolean value of TRUE/FALSE with default set to TRUE. This will automatically create the `tidy_empirical()` output for the `.x` parameter and use the `tidy_combine_distributions()`. The user can then plot out the data using `$combined_data_tbl` from the function output.

## Value

A tibble/list

## Details

This function will see if the given vector `.x` is a numeric vector. It will attempt to estimate the prob parameter of a Burr distribution.

## See also

Other Parameter Estimation: `util_bernoulli_param_estimate()`, `util_beta_param_estimate()`, `util_binomial_param_estimate()`, `util_cauchy_param_estimate()`, `util_exponential_param_estimate()`, `util_gamma_param_estimate()`, `util_geometric_param_estimate()`, `util_hypergeometric_param_estimate()`, `util_logistic_param_estimate()`, `util_lognormal_param_estimate()`, `util_negative_binomial_param_estimate()`, `util_normal_param_estimate()`, `util_pareto_param_estimate()`, `util_poisson_param_estimate()`, `util_triangular_param_estimate()`, `util_uniform_param_estimate()`, `util_weibull_param_estimate()`

Other Burr: `tidy_burr()`, `tidy_inverse_burr()`, `util_burr_stats_tbl()`

## Author

Steven P. Sanderson II, MPH

## Examples

    library(dplyr)
    library(ggplot2)

    tb <- tidy_burr(.shape1 = 1, .shape2 = 2, .rate = .3) |> pull(y)
    output <- util_burr_param_estimate(tb)

    output$parameter_tbl
    #> # A tibble: 1 × 9
    #>   dist_type samp_size    min   max  mean shape1 shape2  rate scale
    #>   <chr>         <int>  <dbl> <dbl> <dbl>  <dbl>  <dbl> <dbl> <dbl>
    #> 1 Burr             50 0.0906  20.0  5.16   2.34   1.38 0.130  7.70

    output$combined_data_tbl |>
      tidy_combined_autoplot()